com.r3corda.node.services.api / ServiceHubInternal

# ServiceHubInternal

`interface ServiceHubInternal : ServiceHub`

### Properties

monitoringService | `abstract val monitoringService: MonitoringService`

### Inherited Properties

clock | `abstract val clock: Clock`
identityService | `abstract val identityService: IdentityService`
keyManagementService | `abstract val keyManagementService: KeyManagementService`
networkMapCache | `abstract val networkMapCache: NetworkMapCache`
networkService | `abstract val networkService: MessagingService`
storageService | `abstract val storageService: StorageService`
walletService | `abstract val walletService: WalletService`

### Inherited Functions

loadState | `open fun loadState(stateRef: StateRef): ContractState` Given a StateRef loads the referenced transaction and looks up the specified output ContractState
recordTransactions | `open fun recordTransactions(txs: List<SignedTransaction>): Unit` Given a list of SignedTransactions, writes them to the local storage for validated transactions and then sends them to the wallet for further processing.
verifyTransaction | `open fun verifyTransaction(ltx: LedgerTransaction): Unit` Given a LedgerTransaction, looks up all its dependencies in the local database, uses the identity service to map the SignedTransactions the DB gives back into LedgerTransactions, and then runs the smart contracts for the transaction. If no exception is thrown, the transaction is valid.